> For the complete documentation index, see [llms.txt](https://docs.pagsmile.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pagsmile.com/reference/payin/submit-a-payin/uruguay/banktransfer.md).

# Bank Transfer

## Payin by BankTransfer

<mark style="color:green;">`POST`</mark> `https://gateway-test.pagsmile.com/trade/pay`

This endpoint allows you to submit a payin by BankTransfer in Uruguay.

#### Headers

| Name                                            | Type   | Description                                |
| ----------------------------------------------- | ------ | ------------------------------------------ |
| Content-Type<mark style="color:red;">\*</mark>  | string | application/json; chartset=UTF-8           |
| Authorization<mark style="color:red;">\*</mark> | string | Basic Base($app\_*id:$security\_*&#x6B;ey) |

#### Request Body

| Name                                                       | Type   | Description                                                               |
| ---------------------------------------------------------- | ------ | ------------------------------------------------------------------------- |
| app\_id<mark style="color:red;">\*</mark>                  | string | <p>created app's id at dashboard</p><p>- Max. 32 chars -</p>              |
| out\_trade\_no<mark style="color:red;">\*</mark>           | string | <p>ID given by the merchant in their system<br>- Max. 64 chars -</p>      |
| method<mark style="color:red;">\*</mark>                   | string | Fixed value: BankTransfer                                                 |
| order\_amount<mark style="color:red;">\*</mark>            | string | <p>payment amount<br>- 1 - 5,000,000 UYU -</p>                            |
| order\_currency<mark style="color:red;">\*</mark>          | string | Fixed value: UYU                                                          |
| subject<mark style="color:red;">\*</mark>                  | string | <p>payment reason or item title</p><p>- Max. 128 chars -</p>              |
| content                                                    | string | <p>payment reason detail or item detail</p><p>- Max. 255 chars -</p>      |
| notify\_url<mark style="color:red;">\*</mark>              | string | Where Pagsmile will send notification to                                  |
| return\_url                                                | string | Redirect to Merchant's url when user finished checkout                    |
| buyer\_id                                                  | string | merchant user's id                                                        |
| timestamp<mark style="color:red;">\*</mark>                | string | <p>yyyy-MM-dd HH:mm:ss<br>- Max. 19 chars -</p>                           |
| account\_number<mark style="color:red;">\*</mark>          | string | User's bank account number                                                |
| account\_type<mark style="color:red;">\*</mark>            | string | <p>User's bank account type</p><p>- One of: SAVINGS, CHECKING -</p>       |
| customer.identify.type<mark style="color:red;">\*</mark>   | string | <p>User's identification type</p><p>- CI, RUT -</p>                       |
| customer.identify.number<mark style="color:red;">\*</mark> | string | <p>User's identification number - CI: 8 digits</p><p>RUT: 12 digits -</p> |
| customer.name<mark style="color:red;">\*</mark>            | string | User's name                                                               |
| customer.email<mark style="color:red;">\*</mark>           | string | User's email                                                              |
| customer.phone<mark style="color:red;">\*</mark>           | string | User's phone                                                              |

{% tabs %}
{% tab title="200 submit successfully" %}

```
{
    "code":"10000",
    "msg":"Success",
    "prepay_id":"QkllK0t0N***De05BDF1",
    "trade_no":"202***205",
    "out_trade_no":"out_no_831***3083",
    "web_url":"",
    "pay_url":"https://paymentbutton.morepaymentevolution.com/sistarbanc/UY/9a58***9344",
    "trade_status":"PROCESSING"
}
```

{% endtab %}

{% tab title="400 duplicate out\_trade\_no" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "duplicate-out_trade_no",
    "sub_msg": "out_trade_no is duplicate"
}
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
**User payment tips**

* Take the recipient's bank details from the response parameter - "instruction" and present to users
  {% endhint %}

## Example

```
curl --location --request POST 'https://gateway-test.pagsmile.com/trade/pay' \
--header 'Authorization: Basic MTYyNTgyOTIxNDUzMTY2Mzg6UGFnc21pbGVfc2tfZDUwMWQ1ZGNkNTI5OGQ5N2MwNmUzYjI4YjA2OWZjZmY3NDU5ZjY2NzNiMjFjMTFlYTY3NDM5MDgzOTZkOTYxNQ==' \
--header 'Content-Type: application/json' \
--data-raw '{
  "app_id": "162************38",
  "out_trade_no": "out_no_831***083",
  "method": "BankTransfer",
  "order_amount": "500",
  "order_currency": "UYU",
  "subject": "Pagsmile test",
  "content": "Pagsmie test conent",
  "notify_url": "http://merchant/callback/success",
  "return_url": "https://www.merchant.com",
  "buyer_id": "buyer_0101_0001",
  "timestamp": "2022-01-01 03:54:01",
  "account_number": "11***22",
  "account_type": "CHECKING",
  "customer": {
    "identify": {
      "type": "CI",
      "number": "87***71"
    },
    "name": "Test User Name",
    "email": "test@mail.com",
    "phone": "5981***67"
  }
}'
```

{% hint style="info" %}
Note: **162\*\*\*\*\*\*\*\*\*\*\*\*38** is pagsmile's test app id for sandbox, and **MTYyNTgyOTIxNDUzMTY2Mzg6UGFnc21pbGVfc2tfZDUwMWQ1ZGNkNTI5OGQ5N2MwNmUzYjI4YjA2OWZjZmY3NDU5ZjY2NzNiMjFjMTFlYTY3NDM5MDgzOTZkOTYxNQ==** is authorization token associated with the test app id.
{% endhint %}

{% hint style="danger" %}
Please use your own **app\_id** and generate your own **authorization token** when testing.
{% endhint %}
